require "gifster/client.rb"
require "gifster/result.rb"
require "gifster/version"

module Gifster
  class Explore
    DEV_API_KEY = "dc6zaTOxFJmzC"

    attr_reader :client

    def initialize(api_key=DEV_API_KEY)
      @client = Gifster::Client.new(api_key)
    end

    def trending(limit=25, offset=0)
      Gifster::Result.build(client.trending(limit, offset))
    end

    def search(query, limit=25, offset=0)
      Gifster::Result.build(client.search(query, limit, offset))
    end
  end
end
