module Gifster
  class Result
    attr_accessor :id, :url, :rating

    def initialize(result)
      @id     = result["id"]
      @url    = result["images"]["fixed_height"]["url"]
      @rating = result["rating"]
    end

    def self.build(raw_results)
      raw_results.map do |result|
        new(result)
      end
    end
  end
end